import { TAG_TYPES } from '$lib/Tags';

export default class PostList {

    posts = [];

    constructor(posts) {
        this.posts = posts;
    }

    filterPosts(tags = []) {
        const filteredPosts = [];

        postLoop: for (const post of this.posts) {
            for (const tagType of Object.keys(TAG_TYPES)) {
                if (post.tags[tagType].some((postTag) => tags.includes(postTag))) {
                    console.info('Skipping post', post);
                    continue postLoop;
                }
            }
            filteredPosts.push(post);
        }

        this.posts = filteredPosts;
        return this;
    }

    getPosts() {
        return this.posts;
    }
}